# include/xapian/postingiterator.h File Reference

Classes for iterating through posting lists. More...

`#include <iterator>`
`#include <string>`
`#include <xapian/base.h>`
`#include <xapian/types.h>`
`#include <xapian/positioniterator.h>`

Include dependency graph for postingiterator.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Xapian

## Classes

class | Xapian::DocIDWrapper
| A wrapper class for a docid which returns the docid if dereferenced with *. More...
class | Xapian::PostingIterator
| An iterator pointing to items in a list of postings. More...

## Functions

bool | operator== (const PostingIterator &a, const PostingIterator &b)
| Test equality of two PostingIterators.
bool | operator!= (const PostingIterator &a, const PostingIterator &b)
| Test inequality of two PostingIterators.

## Detailed Description

Classes for iterating through posting lists.

## Function Documentation

bool operator!= | ( | const PostingIterator & | a,
|  | const PostingIterator & | b
| ) | `[inline]`

| Test inequality of two PostingIterators.

bool operator== | ( | const PostingIterator & | a,
|  | const PostingIterator & | b
| ) | `[inline]`

| Test equality of two PostingIterators.